Skip to main content

GET/agents

Important! This method is only available for Greater-China based sellers with an active eDIS account.


This method can be used to retrieve information about the EU Authorized Representative (AR) agent(s) associated with a seller's eDIS account.

An EU AR agent acts as a liaison between non-EU manufacturers and European regulatory authorities to ensure compliance with EU regulations. This method returns contact information about each agent, as well as their eBay ID and the countries that they support.

Input

Resource URI

GET https://api.ebay.com/sell/edelivery_international_shipping/v1/agents?

This method is supported in Sandbox environment. To access the endpoint, just replace the api.ebay.com root URI with api.sandbox.ebay.com

URI parameters

ParameterTypeDescription
offsetintegerThis query parameter specifies the number of agents to skip in the result set before returning the first agent in the paginated response.

Combine offset with the limit query parameter to control the items returned in the response. For example, if you supply an offset of 0 and a limit of 10, the first page of the response contains the first 10 items from the complete list of items retrieved by the call.

Default: 0

Occurrence: Optional

limitintegerThis query parameter sets the maximum number of agents to return on each page of the paginated response.

Use this parameter in conjunction with the offset parameter to control the pagination of the output. For example, if offset is set to 10 and limit is set to 10, the call retrieves orders 11 through 20 from the result set.

Max: 200

Default: 50

Occurrence: Optional

HTTP request headers

All requests made to eBay REST operations require you to provide the Authorization HTTP header for authentication authorization.

All other standard RESTful request headers are optional. For more information on standard RESTful request headers, see the HTTP request headers- opens rest request components page table.

OAuth scope

This request requires an access token created with the authorization code grant flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

https://api.ebay.com/oauth/scope/sell.edelivery

See OAuth access tokens for more information.

Request payload

This call has no payload.

Request fields

This call has no field definitions.

Output

HTTP response headers

This call has no response headers.

Response payload

Response fields

Output container/fieldTypeDescription
agentListGetAgentListResponsesData

This container returns a list of all EU AR agents associated with your eDIS account and their information.

Occurrence: Always

agentList.agentsarray of AgentModelResponses

This array returns information about each EU AR agent associated with a seller's eDIS account, including their contact information, eBay ID, and supported shipping countries.

Occurrence: Always

agentList.agents.agentAddressstring

The address of the EU AR agent.

Occurrence: Always

agentList.agents.agentNamestring

The name of the EU AR agent.

Occurrence: Always

agentList.agents.agentPhonestring

The phone number of the EU AR agent.

Occurrence: Always

agentList.agents.agentPreferencesarray of AgentPreferenceListResponse

This array returns the supported shipping countries and eBay user IDs associated with the EU AR agent.

Occurrence: Always

agentList.agents.agentPreferences.ebayIdstring

The eBay ID of the EU AR agent.

Occurrence: Always

agentList.agents.agentPreferences.shippingCountrystring

The two-letter ISO 3166 code of the shipping country that an EU AR agent supports.

Occurrence: Always

agentList.agents.arNamestring

The seller-defined setting name of the AR agent.

Occurrence: Always

agentList.hrefstring

The URL to the current page of the result set.

Occurrence: Always

agentList.limitinteger

The value of the limit parameter submitted in the request.

Occurrence: Always

agentList.nextstring

The URI for the next page of results. This value is returned if there is an additional page of results to return from the result set.

Occurrence: Conditional

agentList.offsetinteger

The value of the offset parameter submitted in the request.

Occurrence: Always

agentList.prevstring

The URI for the previous page of results. This is returned if there is a previous page of results from the result set.

Occurrence: Conditional

agentList.totalinteger

The total number of results that match the input criteria.

Occurrence: Always

HTTP status codes

This call can return one of the following HTTP status codes. For an overview of the status codes, see HTTP status codes in Using eBay RESTful APIs.

StatusMeaning
200OK
400Bad Request
401Unauthorized
500Internal Server Error

Error codes

For more on errors, plus the codes of other common errors, see Handling errors.

CodeDomainCategoryMeaning
355000API_EDISAPPLICATIONThere was a problem with an eBay internal system or process. Contact eBay developer support for assistance.
355076API_EDISREQUESTInvalid input value of pagination parameters. Please revise them.
355400API_EDISREQUESTThe access token provided in the Authorization header is not for an eBay user account that is currently allowed to call this API. Please go to account settings to add to your account list.

Warnings

This call has no warnings.

Samples

New to making API calls? Please see Making a Call.

Note: Identifiers, such as order IDs or user IDs, and personal data in these samples might be anonymized or may no longer be active on eBay. If necessary, substitute current, relevant eBay data in your requests.

Sample 1: Retrieve all EU AR agents associated with your eDIS account

This method retrieves all EU AR agents associated with a seller's eDIS account.

Input

The limit and offset query parameters can be used with this method. In this sample, the limit is 10 and the offset is 0. There is no payload used for this request.

GEThttps://api.ebay.com/sell/edelivery_international_shipping/v1/agents?offset=0&limit=10

Output

If the call is successful, information about each EU AR agent associated with the seller's eDIS account is returned. This information includes the agents name, address, phone number, shipping countries and eBay IDs, and the AR name.